#ifndef WATTRVIEW_H
#define WATTRVIEW_H

#include <QTabWidget>
#include <QLineEdit>
#include <QEvent>
#include <QStyleOption>
#include <QPainter>
#include <QStyledItemDelegate>
#include <QDate>
#include <QCloseEvent>

namespace Ui {
class wAttrView;
}

class eObject;
class wPageItem;
class wAttrView : public QTabWidget
{
    Q_OBJECT

public:
    explicit wAttrView(QWidget *parent = nullptr);
    ~wAttrView();
    virtual void paintEvent(QPaintEvent *);

protected:
    QWidget* wEmpty();

public slots:
    void onSlotPageSelected(wPageItem *page);
    void onSlotElementSelected(eObject *element);

private:
    Ui::wAttrView *ui;
    wPageItem *m_page;
    eObject   *m_element;
};

#endif // WATTRVIEW_H
